aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2009-11-10 19:20:34 -0800
committerRuss Cox <rsc@golang.org>2009-11-10 19:20:34 -0800
commit9ff712ecd1c8d89ea5f69aab516d421f685ad7d2 (patch)
tree113ae6a0b6bf49c5c85a186e11f99a444cb57b48
parent2d70d603925955b7184a0ab22dea24b561949b32 (diff)
downloadgo-9ff712ecd1c8d89ea5f69aab516d421f685ad7d2.tar.gz
go-9ff712ecd1c8d89ea5f69aab516d421f685ad7d2.zip
make.bash: check $PATH indirectly via which quietgcc
R=agl1 CC=golang-dev https://golang.org/cl/152056
-rwxr-xr-xsrc/make.bash11
1 files changed, 8 insertions, 3 deletions
diff --git a/src/make.bash b/src/make.bash
index 6135bef043..f152a74519 100755
--- a/src/make.bash
+++ b/src/make.bash
@@ -36,14 +36,19 @@ darwin | linux | nacl)
exit 1
esac
-
-bash clean.bash
-
rm -f $GOBIN/quietgcc
CC=${CC:-gcc}
sed -e "s|@CC@|$CC|" < quietgcc.bash > $GOBIN/quietgcc
chmod +x $GOBIN/quietgcc
+if ! (cd lib9 && which quietgcc) >/dev/null 2>&1; then
+ echo "installed quietgcc as $GOBIN/quietgcc but 'which quietgcc' fails" 1>&2
+ echo "double-check that $GOBIN is in your "'$PATH' 1>&2
+ exit 1
+fi
+
+bash clean.bash
+
for i in lib9 libbio libmach cmd pkg libcgo cmd/cgo cmd/ebnflint cmd/godoc cmd/gofmt cmd/goyacc cmd/hgpatch
do
case "$i-$GOOS" in